Subject: Re: bug#53981: 28.0.91; shortdoc: Add support for outline-minor-mode

From: Daniel Mendler <[email-masked]>
Date: Mon, 14 Feb 2022 13:23:58 +0100

On 2/14/22 12:06, Lars Ingebrigtsen wrote:
> I tried the following:
> ...> But then hiding levels made the display pretty weird:
>
> So if we want that, it needs more work.

I see. This looks indeed not that good due to the newly introduced
`separator-line` face. I use a different setting for the
`separator-line` in my configuration, which has only a height of a
single pixel by using the `:underline` face attribute:

(set-face-attribute 'separator-line nil
  :inherit 'shadow :background nil :underline t :height 1)

With this setting, the separator line generally looks better and less
obtrusive. So we may want to consider using no background and
`:underline t` instead? With outline mode folding the separator line is
still visible, but doesn't disturb the visuals so severely.

Daniel